Introduce the new NVIDIA 455 series

Bug #1902093 reported by Alberto Milone on 2020-10-29
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Bionic
Medium
Unassigned
Focal
Medium
Unassigned
Groovy
Medium
Unassigned
linux-restricted-modules (Ubuntu)
Medium
Unassigned
Bionic
Medium
Unassigned
Focal
Medium
Unassigned
Groovy
Medium
Unassigned
nvidia-graphics-drivers-455 (Ubuntu)
Undecided
Alberto Milone
Bionic
Undecided
Alberto Milone
Focal
Undecided
Alberto Milone
Groovy
Undecided
Alberto Milone

Bug Description

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the artifacts and console output of the appropriate run to the bug. nVidia maintainers team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

[Changelog]

  * New upstream release:
    - Added support for the following GPUs:
        GeForce RTX 3070
    - Added support for using an NVIDIA-driven display as a PRIME
      Display Offload sink with a PRIME Display Offload source driven
      by the xf86-video-intel driver.
    - Fixed a bug in a Vulkan barrier optimization that allowed some
      back-to-back copies to run unordered.
    - Fixed a performance regression in the NVIDIA X driver which
      affected some X11 RENDER extension use cases.
    - Added AMD Secure Memory Encryption compatibility.
  * debian/templates/control.in:
    - Set support level to NFB instead of Beta.
    - Add support for CUDA 11.

Note: this will be the initial release for Bionic and Focal.

Changelog entries for the linux-restricted-modules:

UBUNTU: [Packaging] NVIDIA -- provide the nvidia-prebuilt-kernel virtual package

Make all the NVIDIA drivers, except for 390, provide the nvidia-prebuilt-kernel
virtual package.

This allows adding a generic dependency on the signed modules.

CVE References

affects: nvidia-graphics-drivers-450 (Ubuntu) → nvidia-graphics-drivers-455 (Ubuntu)
Changed in nvidia-graphics-drivers-455 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-455 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-455 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-455 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-455 (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-455 (Ubuntu Bionic):
status: New → In Progress
Changed in nvidia-graphics-drivers-455 (Ubuntu Focal):
status: New → In Progress
Changed in nvidia-graphics-drivers-455 (Ubuntu Groovy):
status: New → In Progress
description: updated

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-455 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-455/455.38-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-455 (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in nvidia-graphics-drivers-455 (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-455 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-455/455.38-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-455 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-455 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-455/455.38-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Stefan Bader (smb) on 2020-11-06
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux (Ubuntu Groovy):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-restricted-modules (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-restricted-modules (Ubuntu Bionic):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-restricted-modules (Ubuntu Focal):
importance: Undecided → Medium
status: New → Confirmed
Changed in linux-restricted-modules (Ubuntu Groovy):
importance: Undecided → Medium
status: New → Confirmed
Leon Liao (lihow731) wrote :

The 10DE:1F9D and 10DE:2520 are not included in the modaliases of the nvidia-driver-455.

Alberto Milone (albertomilone) wrote :

@Leon: that can be added in the next SRU. We can update those details without having to respin the kernel.

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-groovy
tags: added: block-proposed-bionic block-proposed-focal
Stefan Bader (smb) on 2020-11-11
Changed in linux (Ubuntu Groovy):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Changed in linux-restricted-modules (Ubuntu Groovy):
status: Confirmed → Fix Committed
Changed in linux-restricted-modules (Ubuntu Focal):
status: Confirmed → Fix Committed
Changed in linux-restricted-modules (Ubuntu Bionic):
status: Confirmed → Fix Committed
Francis Ginther (fginther) wrote :

I've run through additional gpgpu testing of these drivers along with the linux-restricted-modules for the generic kernels in bionic, focal and groovy plus the hwe kernel in bionic.

Also added block-proposed-groovy to prevent accidental promotion on groovy.

tags: added: block-proposed-groovy
Lau (lgautier) wrote :

Is there a build for Focal that could already be tested? I can only find one for Groovy.

Lau (lgautier) wrote :

> Is there a build for Focal that could already be tested? I can only find one for Groovy.

I see it in recommended now. Thanks to everyone who worked on this!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-54.60

---------------
linux (5.4.0-54.60) focal; urgency=medium

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] NVIDIA -- Add the NVIDIA 455 driver

 -- Stefan Bader <email address hidden> Thu, 05 Nov 2020 18:03:49 +0100

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for nvidia-graphics-drivers-455 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 5.4.0-54.60

---------------
linux-restricted-modules (5.4.0-54.60) focal; urgency=medium

  * Master version: 5.4.0-54.60

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] NVIDIA -- provide the nvidia-prebuilt-kernel virtual package
    - [Packaging] NVIDIA -- Add the 455 driver

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <email address hidden> Thu, 05 Nov 2020 19:01:15 +0100

Changed in linux-restricted-modules (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-455 - 455.38-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-455 (455.38-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1902093):
    - Added support for the following GPUs:
        GeForce RTX 3070
    - Added support for using an NVIDIA-driven display as a PRIME
      Display Offload sink with a PRIME Display Offload source driven
      by the xf86-video-intel driver.
    - Fixed a bug in a Vulkan barrier optimization that allowed some
      back-to-back copies to run unordered.
    - Fixed a performance regression in the NVIDIA X driver which
      affected some X11 RENDER extension use cases.
    - Added AMD Secure Memory Encryption compatibility.
  * debian/templates/control.in:
    - Set support level to NFB instead of Beta.
    - Add support for CUDA 11.
    - Add transitional packages for the 435 series.

 -- Alberto Milone <email address hidden> Thu, 29 Oct 2020 16:31:36 +0100

Changed in nvidia-graphics-drivers-455 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-455 - 455.38-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-455 (455.38-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1902093). Replaces the 435 series.

 -- Alberto Milone <email address hidden> Thu, 29 Oct 2020 17:07:19 +0100

Changed in nvidia-graphics-drivers-455 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 5.8.0-29.31

---------------
linux-restricted-modules (5.8.0-29.31) groovy; urgency=medium

  * Master version: 5.8.0-29.31

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] Migrate nvidia-435 users to updated nvidia-455
    - [Packaging] NVIDIA -- provide the nvidia-prebuilt-kernel virtual package

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <email address hidden> Fri, 06 Nov 2020 12:54:17 +0100

Changed in linux-restricted-modules (Ubuntu Groovy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.15.0-124.127

---------------
linux (4.15.0-124.127) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] NVIDIA -- Add the NVIDIA 455 driver

 -- Stefan Bader <email address hidden> Thu, 05 Nov 2020 18:43:42 +0100

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-455 - 455.38-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-455 (455.38-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1902093). Replaces the 435 series.

 -- Alberto Milone <email address hidden> Thu, 29 Oct 2020 17:01:27 +0100

Changed in nvidia-graphics-drivers-455 (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 4.15.0-124.127

---------------
linux-restricted-modules (4.15.0-124.127) bionic; urgency=medium

  * Master version: 4.15.0-124.127

  * Packaging resync (LP: #1786013)
    - [Packaging] Auto-sync build environment

  * Introduce the new NVIDIA 455 series (LP: #1902093)
    - [Packaging] NVIDIA -- provide the nvidia-prebuilt-kernel virtual package
    - [Packaging] NVIDIA -- Add the 455 driver

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <email address hidden> Fri, 06 Nov 2020 11:07:08 +0100

Changed in linux-restricted-modules (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-restricted-modules - 5.8.0-36.40+21.04.1

---------------
linux-restricted-modules (5.8.0-36.40+21.04.1) hirsute; urgency=medium

  * Master version: 5.8.0-36.40+21.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Add the 460 driver
    - [Packaging] NVIDIA -- Migrate 455 driver to 460 driver

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <email address hidden> Thu, 07 Jan 2021 12:01:16 +0100

Changed in linux-restricted-modules (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-455 - 455.45.01-0ubuntu1

---------------
nvidia-graphics-drivers-455 (455.45.01-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1904863):
    - Fixed a bug in a Vulkan blending optimization that could
      produce incorrect results. Some of the Vulkan titles affected
      by this bug were:
        Life is Strange 2
        Shadow of the Tomb Raider
    - Fixed an issue that caused Vulkan swapchain creation to fail
      for full-screen windows when a G-SYNC monitor is connected.

  [ Kai-Heng Feng ]
  * debian/71-nvidia.rules:
    - Add rules to enable runtimepm by default.

  [ Alberto Milone ]
  * debian/add-ids-to-json-db,
    debian/additional_runtimepm_ids,
    debian/rules:
    - Make it possible to add new IDs to mark support
      for runtimepm.
  * debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in:
    - Run persistenced.service before systemd-backlight@backlight:nvidia_0
      (LP: #1885087)

 -- Alberto Milone <email address hidden> Thu, 19 Nov 2020 14:23:18 +0100

Changed in nvidia-graphics-drivers-455 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers